jQuery(function($) {

    /* -----------------------------------------
    Preloader
    ----------------------------------------- */
    $('#preloader').delay(1000).fadeOut();
    $('#loader').delay(1000).fadeOut("slow");

    /* -----------------------------------------
    Navigation
    ----------------------------------------- */
    $('.menu-toggle').click(function() {
        $(this).toggleClass('open');
    });

    /* -----------------------------------------
    Keyboard Navigation
    ----------------------------------------- */
    $(window).on('load resize', handmade_craft_navigation)

    function handmade_craft_navigation(event) {
        if ($(window).width() < 1200) {
            $('.main-navigation').find("li").last().bind('keydown', function(e) {
                if (e.shiftKey && e.which === 9) {
                    if ($(this).hasClass('focus')) {
                    }

                } else if (e.which === 9) {
                    e.preventDefault();
                    $('#masthead').find('.menu-toggle').focus();
                }                
            })
        } else {
            $('.main-navigation').find("li").unbind('keydown')
        }
    }

    handmade_craft_navigation()

    var handmade_craft_primary_menu_toggle = $('#masthead .menu-toggle');
    handmade_craft_primary_menu_toggle.on('keydown', function(e) {
        var tabKey = e.keyCode === 9;
        var shiftKey = e.shiftKey;

        if (handmade_craft_primary_menu_toggle.hasClass('open')) {
            if (shiftKey && tabKey) {
                e.preventDefault();
                const $the_last_li = $('.main-navigation').find("li").last()
                $the_last_li.find('a').focus()
                if (!$the_last_li.hasClass('focus')) {

                    const $is_parent_on_top = true
                    let $the_parent_ul = $the_last_li.closest('ul.sub-menu')

                    let count = 0

                    while (!!$the_parent_ul.length) {
                        ++count

                        const $the_parent_li = $the_parent_ul.closest('li')

                        if (!!$the_parent_li.length) {
                            $the_parent_li.addClass('focus')
                            $the_parent_ul = $the_parent_li.closest('ul.sub-menu')

                            // Blur the cross
                            $(this).blur()
                            $the_last_li.addClass('focus')
                        }

                        if (!$the_parent_ul.length) {
                            break;
                        }
                    }

                }

            };
        }
    })

    /* -----------------------------------------
    Main Slider
    ----------------------------------------- */

    // Determine if the document is RTL
    var isRtl = $('html').attr('dir') === 'rtl';
    
    jQuery(document).ready(function($) {
        jQuery('.product-box .owl-carousel').owlCarousel({
            margin: 20,
            nav: false,
            autoplay: true,
            lazyLoad: true,
            rtl:false,
            autoplayTimeout: 5000,
            loop: true,
            dots: false,
            responsive: {
            0: {
            items: 1,
            },
            601: {
            margin: 20,
            items: 2
            },
            1000: {
            items: 3
            },
            1200: {
            items: 5
            },
            autoplayHoverPause: false,
            mouseDrag: true
            },
        });
    });
    
    /* -----------------------------------------
    Scroll Top
    ----------------------------------------- */
    var handmade_craft_scrollToTopBtn = $('.handmade-craft-scroll-to-top');

    $(window).scroll(function() {
        if ($(window).scrollTop() > 400) {
            handmade_craft_scrollToTopBtn.addClass('show');
        } else {
            handmade_craft_scrollToTopBtn.removeClass('show');
        }
    });

    handmade_craft_scrollToTopBtn.on('click', function(e) {
        e.preventDefault();
        $('html, body').animate({
            scrollTop: 0
        }, '300');
    });

    // focus behavior
    $(".input").focus(function() {
        $(".form").addClass("move");
    });

    $(".input").focusout(function() {
        $(".form").removeClass("move");
        $(".input").val("");
    });

    // button toggle
    $(".search-main .btn").click(function(e) {
        e.stopPropagation(); // prevent triggering document click
        $(".input").toggleClass("active");
        $(".form").toggleClass("active");
    });

    // prevent clicks inside from closing
    $(".search-main").click(function(e) {
        e.stopPropagation();
    });

    // click outside to close
    $(document).click(function() {
        $(".input").removeClass("active");
        $(".form").removeClass("active");
    });
});